---
kind: pipeline
name: default

steps:
  - name: build
    image: node
    commands:
      - npm install -g gulp -s
      - npm install -s
      - gulp
    when:
      event: push

  - name: update
    image: appleboy/drone-git-push
    settings:
      branch: master
      remote: gitea@gitea.rknet.org:xoxys/theme-geeklab.git
      commit: true
      force: false
      author_name: DroneShipper
      author_email: shipper@rknet.org
    environment:
      GIT_PUSH_COMMIT_MESSAGE: "[SKIP CI] Update artifacts"
      DRONE_COMMIT_AUTHOR: DroneShipper
      DRONE_COMMIT_AUTHOR_EMAIL: shipper@rknet.org
      GIT_PUSH_SSH_KEY:
        from_secret: git_push_ssh_key
    when:
      event: push
